Index: uspace/srv/fs/ext4fs/ext4fs_ops.c
===================================================================
--- uspace/srv/fs/ext4fs/ext4fs_ops.c	(revision 9104bb52fb95a82c4ca9099469079a13710b3044)
+++ uspace/srv/fs/ext4fs/ext4fs_ops.c	(revision 0d4db0f4252afb0a982d0f61fe3cfa55af93dc71)
@@ -211,5 +211,5 @@
 
 	ext4_directory_search_result_t result;
-	rc = ext4_directory_find_entry(fs, &result, eparent->inode_ref, component);
+	rc = ext4_directory_find_entry(&result, eparent->inode_ref, component);
 	if (rc != EOK) {
 		if (rc == ENOENT) {
@@ -448,5 +448,5 @@
 	ext4_inode_ref_t *inode_ref = enode->inode_ref;
 
-	rc = ext4_filesystem_truncate_inode(fs, inode_ref, 0);
+	rc = ext4_filesystem_truncate_inode(inode_ref, 0);
 	if (rc != EOK) {
 		ext4fs_node_put(fn);
@@ -456,5 +456,5 @@
 	uint32_t rev_level = ext4_superblock_get_rev_level(fs->superblock);
 	if (rev_level > 0) {
-		ext4_filesystem_delete_orphan(fs, inode_ref);
+		ext4_filesystem_delete_orphan(inode_ref);
 	}
 
@@ -465,5 +465,5 @@
 	inode_ref->dirty = true;
 
-	rc = ext4_filesystem_free_inode(fs, inode_ref);
+	rc = ext4_filesystem_free_inode(inode_ref);
 	if (rc != EOK) {
 		ext4fs_node_put(fn);
@@ -489,5 +489,5 @@
 
 	// Add entry to parent directory
-	rc = ext4_directory_add_entry(fs, parent->inode_ref, name, child->inode_ref);
+	rc = ext4_directory_add_entry(parent->inode_ref, name, child->inode_ref);
 	if (rc != EOK) {
 		return rc;
@@ -497,14 +497,14 @@
 	if (ext4_inode_is_type(fs->superblock, child->inode_ref->inode, EXT4_INODE_MODE_DIRECTORY)) {
 
-		rc = ext4_directory_add_entry(fs, child->inode_ref, ".", child->inode_ref);
+		rc = ext4_directory_add_entry(child->inode_ref, ".", child->inode_ref);
 		if (rc != EOK) {
-			ext4_directory_remove_entry(fs, parent->inode_ref, name);
+			ext4_directory_remove_entry(parent->inode_ref, name);
 			return rc;
 		}
 
-		rc = ext4_directory_add_entry(fs, child->inode_ref, "..", parent->inode_ref);
+		rc = ext4_directory_add_entry(child->inode_ref, "..", parent->inode_ref);
 		if (rc != EOK) {
-			ext4_directory_remove_entry(fs, parent->inode_ref, name);
-			ext4_directory_remove_entry(fs, child->inode_ref, ".");
+			ext4_directory_remove_entry(parent->inode_ref, name);
+			ext4_directory_remove_entry(child->inode_ref, ".");
 			return rc;
 		}
@@ -546,5 +546,5 @@
 	ext4_inode_ref_t *parent = EXT4FS_NODE(pfn)->inode_ref;
 	ext4_filesystem_t *fs = EXT4FS_NODE(pfn)->instance->filesystem;
-	rc = ext4_directory_remove_entry(fs, parent, name);
+	rc = ext4_directory_remove_entry(parent, name);
 	if (rc != EOK) {
 		return rc;
@@ -576,5 +576,5 @@
 	uint32_t rev_level = ext4_superblock_get_rev_level(fs->superblock);
 	if ((rev_level > 0) && (lnk_count == 0)) {
-		ext4_filesystem_add_orphan(fs, child_inode_ref);
+		ext4_filesystem_add_orphan(child_inode_ref);
 	}
 
@@ -1002,6 +1002,5 @@
 	/* Get the real block number */
 	uint32_t fs_block;
-	rc = ext4_filesystem_get_inode_data_block_index(inst->filesystem,
-		inode_ref, file_block, &fs_block);
+	rc = ext4_filesystem_get_inode_data_block_index(inode_ref, file_block, &fs_block);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -1090,5 +1089,5 @@
 
 	ext4_inode_ref_t *inode_ref = enode->inode_ref;
-	rc = ext4_filesystem_get_inode_data_block_index(fs, inode_ref, iblock, &fblock);
+	rc = ext4_filesystem_get_inode_data_block_index(inode_ref, iblock, &fblock);
 	if (rc != EOK) {
 		ext4fs_node_put(fn);
@@ -1098,5 +1097,5 @@
 
 	if (fblock == 0) {
-		rc =  ext4_balloc_alloc_block(fs, inode_ref, &fblock);
+		rc =  ext4_balloc_alloc_block(inode_ref, &fblock);
 		if (rc != EOK) {
 			ext4fs_node_put(fn);
@@ -1105,7 +1104,7 @@
 		}
 
-		rc = ext4_filesystem_set_inode_data_block_index(fs, inode_ref, iblock, fblock);
+		rc = ext4_filesystem_set_inode_data_block_index(inode_ref, iblock, fblock);
 		if (rc != EOK) {
-			ext4_balloc_free_block(fs, inode_ref, fblock);
+			ext4_balloc_free_block(inode_ref, fblock);
 			ext4fs_node_put(fn);
 			async_answer_0(callid, rc);
@@ -1169,7 +1168,6 @@
 	ext4fs_node_t *enode = EXT4FS_NODE(fn);
 	ext4_inode_ref_t *inode_ref = enode->inode_ref;
-	ext4_filesystem_t *fs = enode->instance->filesystem;
-
-	rc = ext4_filesystem_truncate_inode(fs, inode_ref, new_size);
+
+	rc = ext4_filesystem_truncate_inode(inode_ref, new_size);
 	ext4fs_node_put(fn);
 
